Bug 246356 - Review Request: perl-Gearman-Client-Async - Asynchronous Client for the Gearman distributed job system
Review Request: perl-Gearman-Client-Async - Asynchronous Client for the Gearm...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-30 17:55 EDT by Ruben Kerkhof
Modified: 2011-07-15 10:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-12 15:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-06-30 17:55:27 EDT
Spec URL: http://rubenkerkhof.com/packages/perl-Gearman-Client-Async.spec
SRPM URL: http://rubenkerkhof.com/packages/perl-Gearman-Client-Async-0.94-1.fc7.src.rpm
Description: Asynchronous Client for the Gearman distributed job system
Comment 1 Jason Tibbitts 2007-07-01 22:59:51 EDT
This doesn't build; you'll need at least a build dependency on

There's also a test suite, but you'll need many more modules to run it (at least
perl(Test::More), perl(Danga::Socket), perl(Gearman::Objects) and
perl(Gearman::Server).  (The last one isn't yet available.)  Even then I'm not
sure it's possible to run the test in mock or within the buildsys.
Comment 2 Ruben Kerkhof 2007-07-02 17:15:59 EDT
I added a BuildRequires for perl-Gearman-Server (#245697, will build that one toninght for rawhide) and 
enabled the tests, and 
all test pass in mock for devel.

New version:

Comment 3 Jason Tibbitts 2007-07-04 00:16:03 EDT
Hmm, this fails to build for me, due to one of the tests failing:

t/err8............Can't call method "watch_read" on an undefined value at
t/err8.t line 57.
# Looks like your test died before it could output anything.
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 1-3
        Failed 3/3 tests, 0.00% okay
Comment 4 Ruben Kerkhof 2007-07-04 01:45:32 EDT
Hi Jason,

I think Danga::Socket was missing in the BR.

Does this version fix it for you? 
Comment 5 Jason Tibbitts 2007-07-04 11:21:39 EDT
Unfortunately not; it still fails in the same manner.

I'm thinking that test is simply broken;
 my $socket = Danga::Socket->DescriptorMap->{3};
returns undef, but it's making an assumption about which file descriptor is
being wrapped.  I note that this is the only test which calls

I don't really know why it would consistently fail for me and work for you.  I'm
building on x86_64; the host is running FC5 and mock is pointed at the
development repository.
Comment 6 Ruben Kerkhof 2007-07-05 16:20:36 EDT
Strange, my mock is pointed to devel as well, host is running F-7 on i686.

I've asked for help on the upstream mailinglist yesterday, I hope someone can reproduce/fix this.

Do you consider this as a blocker?
The alternative is for me to disable that test, it doesn't seem to really test the functionality of Gearman and 
Comment 7 Jason Tibbitts 2007-07-05 16:43:31 EDT
Well, if it doesn't build in the buildsys then you'll have bigger problems.

But if you're confident that it's a bug in the test then I'd say just delete
t/err8.t in the %check section and add a comment explaining why you're doing it
and I'd say it's fine.
Comment 9 Jason Tibbitts 2007-07-11 15:24:09 EDT
OK, looks good to me.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Gearman::Client::Async) = 0.94
   perl-Gearman-Client-Async = 0.94-3.fc8
   perl(Danga::Socket) >= 1.52
* %check is present and all tests pass:
   All tests successful.
   Files=11, Tests=32, 26 wallclock secs ( 1.48 cusr +  0.55 csys =  2.03 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 10 Ruben Kerkhof 2007-07-11 16:12:08 EDT
New Package CVS Request
Package Name: perl-Gearman-Client-Async
Short Description: Asynchronous Client for the Gearman distributed job system
Owners: ruben@rubenkerkhof.com
Branches: FC-6 F-7 EL-4 EL-5

Comment 11 Kevin Fenzi 2007-07-11 22:07:43 EDT
cvs done.
Comment 12 Petr Pisar 2011-07-13 04:53:15 EDT
Package Change Request
Package Name: perl-Gearman-Client-Async
Branches: f15 f14
New InitialCC: perl-sig

Please add `perl-sig' to CC list for all Fedora branches as this is Perl
Comment 13 Jon Ciesla 2011-07-15 10:05:20 EDT
This is now done via pkgdb.

Note You need to log in before you can comment on or make changes to this bug.